Loading...
Searching...
No Matches
exception.c File Reference

## Macros

#define | _(String)
#define | N_(String)

## Functions

void | ped_exception_catch ()
| Assert that the current exception has been resolved.
void | ped_exception_fetch_all ()
| Indicates that exceptions should not go to the exception handler, but passed up to the calling function(s).
PedExceptionHandler * | ped_exception_get_handler (void)
| Get the current exception handler.
char * | ped_exception_get_option_string (PedExceptionOption ex_opt)
| Return a string describing an exception option.
char * | ped_exception_get_type_string (PedExceptionType ex_type)
| Return a string describing an exception type.
void | ped_exception_leave_all ()
| Indicates that the calling function does not want to accept any responsibility for exceptions any more.
PedExceptionOption | ped_exception_rethrow ()
| Rethrow an unhandled exception.
void | ped_exception_set_handler (PedExceptionHandler *handler)
| Set the exception handler.
PedExceptionOption | ped_exception_throw (PedExceptionType ex_type, PedExceptionOption ex_opts, const char *message,...)
| Throw an exception.

## Variables

int | ped_exception = 0